Subject: Re: [PATCH iproute2 3/3] ip netns: Delete all netns

From: Vadim Kochan <[email-masked]>
Date: Wed, 7 Jan 2015 21:55:17 +0200

On Wed, Jan 07, 2015 at 02:40:51PM -0500, Brian Haley wrote:
> On 01/07/2015 01:11 PM, Vadim Kochan wrote:
> > On Wed, Jan 07, 2015 at 07:36:40PM +0200, Vadim Kochan wrote:
> >> On Wed, Jan 07, 2015 at 10:44:24AM -0500, Brian Haley wrote:
> >>> On 01/07/2015 06:04 AM, Vadim Kochan wrote:
> >>>> From: Vadim Kochan <[email-masked]>
> >>>>
> >>>> Allow delete all namespace names by:
> >>>>
> >>>>     $ ip netns del all
> >>>
> >>> So I can still create a namespace called 'all', but can't exec in it or delete
> >>> it independently with this change.  Perhaps you need to block that as well?
> >>> Unless there's some other patch I'm missing?
> >>>
> >>> -Brian
> >> Hm, I did not take it into account ...
> >> I will look if I can find another way ...
> >>
> >> Thanks,
> > 
> > what about this ?
> > 
> >     $ ip netns exec / ip link
> >     $ ip netns del /
> > 
> > so it make a sense to be as root directory of bound ns names in /var/run/netns/ ?
> > what do you think ?
> 
> I think using / is confusing.  And something like -a[ll] as an option doesn't
> seem right either.
> 
> Or you just trap the name "all" in the add case and don't allow it.
> 
> Just my opinion.
> 
> -Brian

So I think that do not allow to add netns "all" can be a solution, I'd
like to hear from other people if it might be OK.

Thanks,